#if !defined(AFX_GOSCOMMAND_H__9644B701_48A4_467E_9DF4_35ACF51B3D7A__INCLUDED_)
#define AFX_GOSCOMMAND_H__9644B701_48A4_467E_9DF4_35ACF51B3D7A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// GosCommand.h : header file
//



/////////////////////////////////////////////////////////////////////////////
// CGosCommand command target

class CGosCommand : public CAsyncSocket
{
// Attributes
public:

// Operations
public:
	CGosCommand();
	CGosCommand(HWND hWnd);
	virtual ~CGosCommand();

	void gosConnect(int port);
	void gosClose();

// Overrides
public:
	CString gosProfPath();
	CString gosMudPath();
	CString gosClientPath();
	CString gosProfName();
	CString gosMudName();
	void gosSendInput(CString sData, int nType = 0);
	void gosSendOutput(CString sData, int nType = 2);
	/*chiamare questa funzione quando, appena si riceve un output,
	lo si vuole bloccare (bisogna esserne abilitati, vedi gosInit)
	Occorre specificare una stringa sostitutiva a quella ricevuta
	come output (anche una stringa vuota e' accettata)*/
	void gosStopOutput(CString sNewData);
	/*chiamare questa funzione quando, appena si riceve un output,
	non lo si vuole bloccare.  necessario chiamare questa funzione
	ogni volta che si riceve un output che non si vuole cambiare se
	si e' abilitati a bloccare l'output (vedi gosInit)*/
	void gosLeaveOutput();
	
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGosCommand)
	public:
	virtual void OnReceive(int nErrorCode);
	virtual void OnClose(int nErrorCode);
	virtual void OnConnect(int nErrorCode);
	//}}AFX_VIRTUAL

	// Generated message map functions
	//{{AFX_MSG(CGosCommand)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

// Implementation
protected:
	struct gosInfo {
		CString sMudName;
		CString sProfName;
		CString sClientPath;
		CString sMudPath;
		CString sProfPath;
	} m_gi;

	void Dispatch(CString sData);
	HWND m_hWnd;
	int m_nPort;
	
	void SendOutput(CString sData, int nType);
	void SendInput(CString sData, int nType);
	void SendNotify(int nCode);
	void SendGo();
	void SendClose();
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GOSCOMMAND_H__9644B701_48A4_467E_9DF4_35ACF51B3D7A__INCLUDED_)
