#if !defined(AFX_INITWND_H__549682EA_6F69_4C32_8091_0C4C22CC5103__INCLUDED_)
#define AFX_INITWND_H__549682EA_6F69_4C32_8091_0C4C22CC5103__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// InitWnd.h : header file
//
#include "GosCommand.h"
#include "MCI.h"

/////////////////////////////////////////////////////////////////////////////
// CInitWnd window

class CInitWnd : public CWnd
{
// Construction
public:
	CInitWnd();
	CInitWnd(int port, HWND hOwner);

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CInitWnd)
	protected:
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CInitWnd();

	// Generated message map functions
protected:
	void ShowMCIError(DWORD err);
	typedef struct MSPFile {
		CString sFName;
		int nVol;
		int nRepeats;
		int nPriority;
		int nContinue;
		CString sType;
		CString sURL;
	} MSPFile;

	MSPFile m_wave;
	MSPFile m_midi;

	//funzioni
	BOOL ParseMSPDirective(MSPFile& dest, CString sData, int pos);
	void ParseSOUNDDirective(CString sData, int pos);
	void ParseMUSICDirective(CString sData, int pos);
	void m_CreateWin(HWND hOwner = NULL);

	//varibili
	int m_port;
	CMCI m_mci;
	CGosCommand* m_gos;

	//{{AFX_MSG(CInitWnd)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg LRESULT OnGosInput(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnGosOutput(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnGosNotify(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnGosGo(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnGosClose(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnMciNotify(WPARAM wParam, LPARAM lParam);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_INITWND_H__549682EA_6F69_4C32_8091_0C4C22CC5103__INCLUDED_)
