// MCI.h: interface for the CMCI class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MCI_H__0256EA69_867E_412F_9A85_2E475DB8F696__INCLUDED_)
#define AFX_MCI_H__0256EA69_867E_412F_9A85_2E475DB8F696__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "AlexfMixer.h"

#define MCI_WAVEID		1
#define MCI_MIDIID		2

class CMCI  
{
public:
	void SetWaveVol(int vol);
	void SetMidiVol(int vol);
	int GetDeviceType(UINT id);
	void RestartWave(HWND hWndNotify);
	void RestartMidi(HWND hWndNotify);
	void CloseMidi();
	void CloseWave();
	CMCI();
	virtual ~CMCI();
	DWORD playWAVEFile(HWND hWndNotify, LPCTSTR lpszWAVWFileName);
	DWORD playMIDIFile(HWND hWndNotify, LPCTSTR lpszWAVWFileName);
	int CloseDevice(UINT id);
	void CloseAll();

protected:
	UINT m_waveID;
	UINT m_midiID;
	CAlexfMixer* m_midiMx;
	CAlexfMixer* m_waveMx;
	DWORD m_midiIniVol;
	DWORD m_waveIniVol;
};

#endif // !defined(AFX_MCI_H__0256EA69_867E_412F_9A85_2E475DB8F696__INCLUDED_)
