// Midi.cpp: implementation of the CMidi class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "msp.h"
#include "Midi.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CMidi::CMidi()
{

}

CMidi::~CMidi()
{

}

BOOL CMidi::FileExist(CString sPath)
{
	WIN32_FIND_DATA fd;
	HANDLE hFind = FindFirstFile(sPath, &fd);
	if (hFind == INVALID_HANDLE_VALUE)
	{
		AfxMessageBox("Non trovato");
		return FALSE;
	}
	else
	{
		AfxMessageBox("Trovato");
		return TRUE;
	}
}

BOOL CMidi::PlayMidiFile(CString sPath)
{
    //'MidiFile = File's Full Path
    //'Returns: True if successful, false otherwise
    
	long lRet;
    char Ret[128];
	CString sRet;
	Dim lRet As Long
    Dim Ret As String
    
    If Dir(MidiFile) = "" Then Exit Function
    
    Ret = Space(128)
    Call mciSendString("status midi mode", Ret, 128, 0)
    
    If Not LCase$(MidiFile) = LCase$(mPlaying) Or LCase$(Left$(Ret, 7)) = "stopped" Then
        'Stop any currently playing .mid
        lRet = mciSendString("stop midi", "", 0, 0)
        lRet = mciSendString("close midi", "", 0, 0)
        
        'Play
        lRet = mciSendString("open sequencer!" & MidiFile & " alias midi", "", 0, 0)
        lRet = mciSendString("play midi", "", 0, 0)
        mPlaying = MidiFile
    End If
    
    SetVolume SYNTHESIZER, Volume
    PlayMidiFile = (lRet = 0)
}
